#!/usr/bin/python3
import os
import gui_helper
import gui_handler
from config import Config

################################################################################
# CONSTANTS
################################################################################

default_configuration = {
    "window geometry": "640x480"
}
configuration_file_path = os.path.join(os.path.expanduser("~"), "some_ide_config.json")

################################################################################
# PROGRAM STARTUP
################################################################################

configuration = Config(configuration_file_path, default_configuration)

################################################################################
# PROGRAM MAIN WINDOW
################################################################################

main_window = gui_handler.window()
main_window.set_title("Concorde IDE")
main_window.set_geometry(configuration.get_configuration_value("window geometry"))

main_window.update_menus(gui_helper.menu_structure)
